import 'package:flutter/foundation.dart';
import 'package:wowit/widgets/log_widget/log_controller.dart';

mixin HandleExceptionMixin {
  handelException(dynamic e, {String? subTitle}) {
    log(e, subTitle: subTitle);
  }

  void log(dynamic e, {String? subTitle}) {
    String titleLog = runtimeType.toString();
    if (subTitle != null) titleLog += '.[$subTitle]';
    LogController.setLog(log: e.toString(), titleLog: titleLog);
    if (kDebugMode) {
      print('$titleLog: $e');
    }
  }
}
